summaryrefslogtreecommitdiff
path: root/farm/magnus/tftpd-magnus
diff options
context:
space:
mode:
authorWolfram Sang <wsa+renesas@sang-engineering.com>2020-12-18 18:18:49 +0100
committerWolfram Sang <wsa+renesas@sang-engineering.com>2020-12-18 18:18:49 +0100
commit81176a3c30d8f66f9003217342e57ef99b029c3a (patch)
tree2165aaa937481bab325e254e1bb26d4c85af9445 /farm/magnus/tftpd-magnus
parent0b543b9783d19345b5327361f3c9f17801bfd5c9 (diff)
parentca4bec8e62e92cd695307f461ee58d60eba68d52 (diff)
Merge remote-tracking branch 'origin/farm-magnus'
There is some info in this branch which I needed and missed because it was not in the master. Merge it and continue the work there.
Diffstat (limited to 'farm/magnus/tftpd-magnus')
-rwxr-xr-xfarm/magnus/tftpd-magnus19
1 files changed, 19 insertions, 0 deletions
diff --git a/farm/magnus/tftpd-magnus b/farm/magnus/tftpd-magnus
new file mode 100755
index 0000000..4ec30e2
--- /dev/null
+++ b/farm/magnus/tftpd-magnus
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+TARGET=${0#*-}
+
+case "$1" in
+start)
+ ssh $TARGET-mgr qemu-system-i386 -machine none -net nic,vlan=0 \
+ -net tap,vlan=0,ifname=tap0,script=no,downscript=no \
+ -net user,vlan=0,tftp=/home/user/ &
+ ;;
+
+stop)
+ ssh $TARGET-mgr killall qemu-system-i386
+ ;;
+
+*)
+ echo "Usage: $0 (start|stop)"
+ exit 1
+esac